Name:          libcap-ng
Version:       0.8.4
Release:       1mamba
Summary:       An alternate posix capabilities library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://people.redhat.com/sgrubb/libcap-ng/
Source:        http://people.redhat.com/sgrubb/libcap-ng/libcap-ng-%{version}.tar.gz
Patch0:        libcap-ng-0.6.3-euid.patch
Patch1:        libcap-ng-0.6.3-setpcap.patch
Patch2:        libcap-ng-0.8.1-apply.patch
Patch3:        libcap-ng-0.8.1-apply-disable.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: libattr-devel
BuildRequires: swig

%description
The libcap-ng library should make programming with posix capabilities easier.
The library has some utilities to help you analyse a system for apps that may have too much privileges.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The libcap-ng library should make programming with posix capabilities easier.
The library has some utilities to help you analyse a system for apps that may have too much privileges.

This package contains libraries and header files need for development.

%package -n python-libcap-ng-py3
Group:         Development/Libraries
Summary:       Python 3 bindings for libcap-ng library
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      python3-libcap-ng
Obsoletes:     python3-libcap-ng < 0.8.3
Provides:      python-libcap-ng-py36
Obsoletes:     python-libcap-ng-py36 < 0.8.3
Provides:      python-libcap-ng
Obsoletes:     python-libcap-ng < 0.8.4

%description -n python-libcap-ng-py3
The libcap-ng library should make programming with posix capabilities easier.
The library has some utilities to help you analyse a system for apps that may have too much privileges.
This package contains the bindings so that libcap-ng and can be used by python applications.

%package utils
Group:         Development/Libraries
Summary:       Utilities for analysing and setting file capabilities

%description utils
The libcap-ng library should make programming with posix capabilities easier.
The library has some utilities to help you analyse a system for apps that may have too much privileges.
This package contains applications to analyse the posix capabilities of all the program running on a system.
It also lets you set the file system based capabilities.

%debug_package

%prep
%setup -q
# These 2 patches can be disabled when https://github.com/stevegrubb/libcap-ng/issues/21 is resolved
#%patch2 -p1
%patch 3 -p1

%build
%configure \
   --disable-static \
   PYTHON3=%{__python3} \
   PYTHON3_INCLUDES=%{python3_inc} \
   PYTHON3_CFLAGS=`pkg-config python-3 --cflags` \
   PYTHON3_LIBS=`pkg-config python-3 --libs`

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall pkgconfigdir=%{_libdir}/pkgconfig

## Remove static libraries 
#rm -f %{buildroot}/%{_lib}/libcap-ng.a
#rm -f %{buildroot}/%{python_sitearch}/_capng.a
#rm -f %{buildroot}/%{python_sitearch}/_capng.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcap-ng.so.*
%{_libdir}/libdrop_ambient.so.*
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
%{_datadir}/aclocal/cap-ng.m4
%{_includedir}/cap-ng.h
%{_libdir}/libcap-ng.so
%{_libdir}/libdrop_ambient.so
%{_libdir}/pkgconfig/libcap-ng.pc
%attr(644,root,root) %{_mandir}/man3/capng_*.3*
%{_mandir}/man7/libdrop_ambient.7*
%doc ChangeLog README.md

%files -n python-libcap-ng-py3
%defattr(-,root,root)
%{python3_sitearch}/_capng.so
%{python3_sitearch}/capng.py
%{python3_sitearch}/__pycache__/capng.cpython-*.pyc

%files utils
%defattr(-,root,root)
%{_bindir}/captest
%{_bindir}/filecap
%{_bindir}/netcap
%{_bindir}/pscap
%{_mandir}/man8/*.8*
%doc COPYING

%changelog
* Wed Dec 27 2023 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- automatic version update by autodist

* Sat Apr 02 2022 Automatic Build System <autodist@mambasoft.it> 0.8.3-1mamba
- automatic version update by autodist

* Fri Dec 18 2020 Automatic Build System <autodist@mambasoft.it> 0.8.2-1mamba
- automatic version update by autodist

* Mon Nov 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-2mamba
- add patches to fix issue with cifs-utils and gnome keyring (see https://github.com/stevegrubb/libcap-ng/issues/21)

* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- update to 0.8.1

* Fri Oct 16 2020 Automatic Build System <autodist@mambasoft.it> 0.8-1mamba
- automatic version update by autodist

* Sun Aug 30 2020 Automatic Build System <autodist@mambasoft.it> 0.7.11-1mamba
- automatic version update by autodist

* Mon Dec 02 2019 Automatic Build System <autodist@mambasoft.it> 0.7.10-1mamba
- automatic version update by autodist

* Sun Aug 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.9-2mamba
- rebuilt in %_libdir

* Thu Mar 22 2018 Automatic Build System <autodist@mambasoft.it> 0.7.9-1mamba
- automatic version update by autodist

* Mon Aug 08 2016 Automatic Build System <autodist@mambasoft.it> 0.7.8-1mamba
- automatic version update by autodist

* Mon May 18 2015 Automatic Build System <autodist@mambasoft.it> 0.7.7-1mamba
- automatic update by autodist

* Fri Apr 25 2014 Automatic Build System <autodist@mambasoft.it> 0.7.4-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Automatic Build System <autodist@mambasoft.it> 0.7.3-1mamba
- automatic version update by autodist

* Tue Oct 30 2012 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic version update by autodist

* Mon Aug 06 2012 Automatic Build System <autodist@mambasoft.it> 0.7-1mamba
- automatic version update by autodist

* Thu Jun 30 2011 Automatic Build System <autodist@mambasoft.it> 0.6.6-1mamba
- automatic update by autodist

* Sun Nov 07 2010 Automatic Build System <autodist@mambasoft.it> 0.6.5-1mamba
- automatic update by autodist

* Sun Jun 27 2010 Automatic Build System <autodist@mambasoft.it> 0.6.4-1mamba
- automatic update by autodist

* Tue Jan 05 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.6.2-2mamba
- rebuilt

* Fri Nov 27 2009 gil <puntogil@libero.it> 0.6.2-1mamba
- package created by autospec
